
function shuffle (a) {
  var rand
  var index = 0
  var shuffled = []
  a.forEach(function (value) {
    rand = Math.floor(Math.random() * index++)
    shuffled[index - 1] = shuffled[rand]
    shuffled[rand] = value
  })
  return shuffled
}

var random_sample = function (x, l) {
  return shuffle(l).slice(0, x);
}

var pick = function (l) {
  return function (x) {
    return random_sample(x, l).map(function (x) { console.log("* ", x, "\n")})
  }
}

var spices = [
  "Zimt",
  "Kreuzkümmel",
  "Koriander",
  "Gewürznelke",
  "Kardamom, am besten sowohl grün als auch schwarz",
  "Schwarze Pfefferkörner",
  "Rote Chilischoten oder Chilipulver",
  "Ingwerpaste oder frischen Ingwer, kein Ingwerpulver",
  "Garam Masala",
  "Kurkuma"
]
var base = [
  "Glasig angebratene Zwiebeln",
  "Naturjoghurt mit Crème fraîche versetzt",
  "Kokosnussmilch"
]
var ingredients = [
  "Geflügel",
  "Lamm",
  "Blumenkohl und Kartoffeln",
  "Paneer",
  "Auberginen"
]

console.log("Curry benötigt zunächst eine feuchte Basis. Ich schlage vor, folgende Basis zu benutzen:\n")

pick(base)(1)

console.log("Die Gewürze werden in einer Pfanne aromageröstet. Als mögliche Gewürze bieten sich an:\n")

pick(spices)(5)

console.log("Wir kommen jetzt zur Hauptzutat. Bei unserem Curry ist das\n")

pick(ingredients)(1)

console.log("Die Hauptzutat wird in einer gesonderten Pfanne bei hoher Hitze angebraten und dann mit der flüssigen Basis und den Gewürzen zusammen bei niedriger Hitze schmoren lassen, bis das Curry gut eingekocht und servierfertig ist.\n")
console.log("Guten Appetit!")
